/*
   Copyright (C) 2024 Michael Nelson Moran

   This file is part of OSCL.

   OSCL is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   OSCL is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.

   You should have received a copy of the GNU General Public License
   along with OSCL; see the file COPYING.  If not, write to the Free
   Software Foundation, 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.

   To negotiate other licensing arrangements/agreements contact
   the copyright holder:

   Michael N. Moran
   218 Wilshire Terrace       mike@mnmoran.org
   White, GA, USA 30184       http://mnmoran.org
*/

#ifndef _oscl_hw_st_stm32_h7_gpio_regh_
#define _oscl_hw_st_stm32_h7_gpio_regh_
#include <stdint.h>
namespace Oscl { // Namespace description
	namespace St { // Namespace description
		namespace Stm32 { // Namespace description
			namespace H7 { // Namespace description
				namespace pGPIO { // Namespace description
					namespace rMODER { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	portAValueAtReset = 0xABFFFFFF;
						constexpr Reg	portBValueAtReset = 0xFFFFFEBF;
						constexpr Reg	portOtherValueAtReset = 0xFFFFFFFF;
						constexpr Reg	input = 0x00000000;
						constexpr Reg	output = 0x00000001;
						constexpr Reg	alternateFunction = 0x00000002;
						constexpr Reg	analog = 0x00000003;
						namespace fMODE0 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x00000003;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00000001;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00000002;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x00000003;
							};
						namespace fMODE1 { // Field Description
							constexpr Reg Lsb = 2;
							constexpr Reg FieldMask = 0x0000000C;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00000004;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00000008;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x0000000C;
							};
						namespace fMODE2 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x00000030;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00000010;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00000020;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x00000030;
							};
						namespace fMODE3 { // Field Description
							constexpr Reg Lsb = 6;
							constexpr Reg FieldMask = 0x000000C0;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00000040;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00000080;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x000000C0;
							};
						namespace fMODE4 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000300;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00000100;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00000200;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x00000300;
							};
						namespace fMODE5 { // Field Description
							constexpr Reg Lsb = 10;
							constexpr Reg FieldMask = 0x00000C00;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00000400;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00000800;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x00000C00;
							};
						namespace fMODE6 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x00003000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00001000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00002000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x00003000;
							};
						namespace fMODE7 { // Field Description
							constexpr Reg Lsb = 14;
							constexpr Reg FieldMask = 0x0000C000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00004000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00008000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x0000C000;
							};
						namespace fMODE8 { // Field Description
							constexpr Reg Lsb = 16;
							constexpr Reg FieldMask = 0x00030000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00010000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00020000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x00030000;
							};
						namespace fMODE9 { // Field Description
							constexpr Reg Lsb = 18;
							constexpr Reg FieldMask = 0x000C0000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00040000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00080000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x000C0000;
							};
						namespace fMODE10 { // Field Description
							constexpr Reg Lsb = 20;
							constexpr Reg FieldMask = 0x00300000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00100000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00200000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x00300000;
							};
						namespace fMODE11 { // Field Description
							constexpr Reg Lsb = 22;
							constexpr Reg FieldMask = 0x00C00000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x00400000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x00800000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x00C00000;
							};
						namespace fMODE12 { // Field Description
							constexpr Reg Lsb = 24;
							constexpr Reg FieldMask = 0x03000000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x01000000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x02000000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x03000000;
							};
						namespace fMODE13 { // Field Description
							constexpr Reg Lsb = 26;
							constexpr Reg FieldMask = 0x0C000000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x04000000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x08000000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x0C000000;
							};
						namespace fMODE14 { // Field Description
							constexpr Reg Lsb = 28;
							constexpr Reg FieldMask = 0x30000000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x10000000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x20000000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0x30000000;
							};
						namespace fMODE15 { // Field Description
							constexpr Reg Lsb = 30;
							constexpr Reg FieldMask = 0xC0000000;
							constexpr Reg Value_input = 0x0;
							constexpr Reg ValueMask_input = 0x00000000;
							constexpr Reg Value_output = 0x1;
							constexpr Reg ValueMask_output = 0x40000000;
							constexpr Reg Value_alternateFunction = 0x2;
							constexpr Reg ValueMask_alternateFunction = 0x80000000;
							constexpr Reg Value_analog = 0x3;
							constexpr Reg ValueMask_analog = 0xC0000000;
							};
						};
					namespace rOTYPER { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	valueAtReset = 0x00000000;
						constexpr Reg	pushPull = 0x00000000;
						constexpr Reg	openDrain = 0x00000001;
						namespace fOT0 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x00000001;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000001;
							};
						namespace fOT1 { // Field Description
							constexpr Reg Lsb = 1;
							constexpr Reg FieldMask = 0x00000002;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000002;
							};
						namespace fOT2 { // Field Description
							constexpr Reg Lsb = 2;
							constexpr Reg FieldMask = 0x00000004;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000004;
							};
						namespace fOT3 { // Field Description
							constexpr Reg Lsb = 3;
							constexpr Reg FieldMask = 0x00000008;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000008;
							};
						namespace fOT4 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x00000010;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000010;
							};
						namespace fOT5 { // Field Description
							constexpr Reg Lsb = 5;
							constexpr Reg FieldMask = 0x00000020;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000020;
							};
						namespace fOT6 { // Field Description
							constexpr Reg Lsb = 6;
							constexpr Reg FieldMask = 0x00000040;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000040;
							};
						namespace fOT7 { // Field Description
							constexpr Reg Lsb = 7;
							constexpr Reg FieldMask = 0x00000080;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000080;
							};
						namespace fOT8 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000100;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000100;
							};
						namespace fOT9 { // Field Description
							constexpr Reg Lsb = 9;
							constexpr Reg FieldMask = 0x00000200;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000200;
							};
						namespace fOT10 { // Field Description
							constexpr Reg Lsb = 10;
							constexpr Reg FieldMask = 0x00000400;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000400;
							};
						namespace fOT11 { // Field Description
							constexpr Reg Lsb = 11;
							constexpr Reg FieldMask = 0x00000800;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00000800;
							};
						namespace fOT12 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x00001000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00001000;
							};
						namespace fOT13 { // Field Description
							constexpr Reg Lsb = 13;
							constexpr Reg FieldMask = 0x00002000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00002000;
							};
						namespace fOT14 { // Field Description
							constexpr Reg Lsb = 14;
							constexpr Reg FieldMask = 0x00004000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00004000;
							};
						namespace fOT15 { // Field Description
							constexpr Reg Lsb = 15;
							constexpr Reg FieldMask = 0x00008000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_pushPull = 0x0;
							constexpr Reg ValueMask_pushPull = 0x00000000;
							constexpr Reg Value_openDrain = 0x1;
							constexpr Reg ValueMask_openDrain = 0x00008000;
							};
						};
					namespace rOSPEEDR { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	portAValueAtReset = 0x0C000000;
						constexpr Reg	portBValueAtReset = 0x000000C0;
						constexpr Reg	otherValueAtReset = 0x00000000;
						constexpr Reg	lowSpeed = 0x00000000;
						constexpr Reg	mediumSpeed = 0x00000001;
						constexpr Reg	highSpeed = 0x00000002;
						constexpr Reg	veryHighSpeed = 0x00000003;
						namespace fOSPEED0 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x00000003;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00000001;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00000002;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x00000003;
							};
						namespace fOSPEED1 { // Field Description
							constexpr Reg Lsb = 2;
							constexpr Reg FieldMask = 0x0000000C;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00000004;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00000008;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x0000000C;
							};
						namespace fOSPEED2 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x00000030;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00000010;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00000020;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x00000030;
							};
						namespace fOSPEED3 { // Field Description
							constexpr Reg Lsb = 6;
							constexpr Reg FieldMask = 0x000000C0;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00000040;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00000080;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x000000C0;
							};
						namespace fOSPEED4 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000300;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00000100;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00000200;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x00000300;
							};
						namespace fOSPEED5 { // Field Description
							constexpr Reg Lsb = 10;
							constexpr Reg FieldMask = 0x00000C00;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00000400;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00000800;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x00000C00;
							};
						namespace fOSPEED6 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x00003000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00001000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00002000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x00003000;
							};
						namespace fOSPEED7 { // Field Description
							constexpr Reg Lsb = 14;
							constexpr Reg FieldMask = 0x0000C000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00004000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00008000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x0000C000;
							};
						namespace fOSPEED8 { // Field Description
							constexpr Reg Lsb = 16;
							constexpr Reg FieldMask = 0x00030000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00010000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00020000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x00030000;
							};
						namespace fOSPEED9 { // Field Description
							constexpr Reg Lsb = 18;
							constexpr Reg FieldMask = 0x000C0000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00040000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00080000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x000C0000;
							};
						namespace fOSPEED10 { // Field Description
							constexpr Reg Lsb = 20;
							constexpr Reg FieldMask = 0x00300000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00100000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00200000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x00300000;
							};
						namespace fOSPEED11 { // Field Description
							constexpr Reg Lsb = 22;
							constexpr Reg FieldMask = 0x00C00000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x00400000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x00800000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x00C00000;
							};
						namespace fOSPEED12 { // Field Description
							constexpr Reg Lsb = 24;
							constexpr Reg FieldMask = 0x03000000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x01000000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x02000000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x03000000;
							};
						namespace fOSPEED13 { // Field Description
							constexpr Reg Lsb = 26;
							constexpr Reg FieldMask = 0x0C000000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x04000000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x08000000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x0C000000;
							};
						namespace fOSPEED14 { // Field Description
							constexpr Reg Lsb = 28;
							constexpr Reg FieldMask = 0x30000000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x10000000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x20000000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0x30000000;
							};
						namespace fOSPEED15 { // Field Description
							constexpr Reg Lsb = 30;
							constexpr Reg FieldMask = 0xC0000000;
							constexpr Reg Value_lowSpeed = 0x0;
							constexpr Reg ValueMask_lowSpeed = 0x00000000;
							constexpr Reg Value_mediumSpeed = 0x1;
							constexpr Reg ValueMask_mediumSpeed = 0x40000000;
							constexpr Reg Value_highSpeed = 0x2;
							constexpr Reg ValueMask_highSpeed = 0x80000000;
							constexpr Reg Value_veryHighSpeed = 0x3;
							constexpr Reg ValueMask_veryHighSpeed = 0xC0000000;
							};
						};
					namespace rPUPDR { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	portAValueAtReset = 0x64000000;
						constexpr Reg	portBValueAtReset = 0x00000100;
						constexpr Reg	otherValueAtReset = 0x00000000;
						constexpr Reg	none = 0x00000000;
						constexpr Reg	pullUP = 0x00000001;
						constexpr Reg	pullDOWN = 0x00000002;
						namespace fPUPD0 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x00000003;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00000001;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00000002;
							};
						namespace fPUPD1 { // Field Description
							constexpr Reg Lsb = 2;
							constexpr Reg FieldMask = 0x0000000C;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00000004;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00000008;
							};
						namespace fPUPD2 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x00000030;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00000010;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00000020;
							};
						namespace fPUPD3 { // Field Description
							constexpr Reg Lsb = 6;
							constexpr Reg FieldMask = 0x000000C0;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00000040;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00000080;
							};
						namespace fPUPD4 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000300;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00000100;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00000200;
							};
						namespace fPUPD5 { // Field Description
							constexpr Reg Lsb = 10;
							constexpr Reg FieldMask = 0x00000C00;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00000400;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00000800;
							};
						namespace fPUPD6 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x00003000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00001000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00002000;
							};
						namespace fPUPD7 { // Field Description
							constexpr Reg Lsb = 14;
							constexpr Reg FieldMask = 0x0000C000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00004000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00008000;
							};
						namespace fPUPD8 { // Field Description
							constexpr Reg Lsb = 16;
							constexpr Reg FieldMask = 0x00030000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00010000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00020000;
							};
						namespace fPUPD9 { // Field Description
							constexpr Reg Lsb = 18;
							constexpr Reg FieldMask = 0x000C0000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00040000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00080000;
							};
						namespace fPUPD10 { // Field Description
							constexpr Reg Lsb = 20;
							constexpr Reg FieldMask = 0x00300000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00100000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00200000;
							};
						namespace fPUPD11 { // Field Description
							constexpr Reg Lsb = 22;
							constexpr Reg FieldMask = 0x00C00000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x00400000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x00800000;
							};
						namespace fPUPD12 { // Field Description
							constexpr Reg Lsb = 24;
							constexpr Reg FieldMask = 0x03000000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x01000000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x02000000;
							};
						namespace fPUPD13 { // Field Description
							constexpr Reg Lsb = 26;
							constexpr Reg FieldMask = 0x0C000000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x04000000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x08000000;
							};
						namespace fPUPD14 { // Field Description
							constexpr Reg Lsb = 28;
							constexpr Reg FieldMask = 0x30000000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x10000000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x20000000;
							};
						namespace fPUPD15 { // Field Description
							constexpr Reg Lsb = 30;
							constexpr Reg FieldMask = 0xC0000000;
							constexpr Reg Value_none = 0x0;
							constexpr Reg ValueMask_none = 0x00000000;
							constexpr Reg Value_pullUP = 0x1;
							constexpr Reg ValueMask_pullUP = 0x40000000;
							constexpr Reg Value_pullDOWN = 0x2;
							constexpr Reg ValueMask_pullDOWN = 0x80000000;
							};
						};
					namespace rIDR { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	low = 0x00000000;
						constexpr Reg	high = 0x00000001;
						namespace fID0 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x00000001;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000001;
							};
						namespace fID1 { // Field Description
							constexpr Reg Lsb = 1;
							constexpr Reg FieldMask = 0x00000002;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000002;
							};
						namespace fID2 { // Field Description
							constexpr Reg Lsb = 2;
							constexpr Reg FieldMask = 0x00000004;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000004;
							};
						namespace fID3 { // Field Description
							constexpr Reg Lsb = 3;
							constexpr Reg FieldMask = 0x00000008;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000008;
							};
						namespace fID4 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x00000010;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000010;
							};
						namespace fID5 { // Field Description
							constexpr Reg Lsb = 5;
							constexpr Reg FieldMask = 0x00000020;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000020;
							};
						namespace fID6 { // Field Description
							constexpr Reg Lsb = 6;
							constexpr Reg FieldMask = 0x00000040;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000040;
							};
						namespace fID7 { // Field Description
							constexpr Reg Lsb = 7;
							constexpr Reg FieldMask = 0x00000080;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000080;
							};
						namespace fID8 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000100;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000100;
							};
						namespace fID9 { // Field Description
							constexpr Reg Lsb = 9;
							constexpr Reg FieldMask = 0x00000200;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000200;
							};
						namespace fID10 { // Field Description
							constexpr Reg Lsb = 10;
							constexpr Reg FieldMask = 0x00000400;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000400;
							};
						namespace fID11 { // Field Description
							constexpr Reg Lsb = 11;
							constexpr Reg FieldMask = 0x00000800;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000800;
							};
						namespace fID12 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x00001000;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00001000;
							};
						namespace fID13 { // Field Description
							constexpr Reg Lsb = 13;
							constexpr Reg FieldMask = 0x00002000;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00002000;
							};
						namespace fID14 { // Field Description
							constexpr Reg Lsb = 14;
							constexpr Reg FieldMask = 0x00004000;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00004000;
							};
						namespace fID15 { // Field Description
							constexpr Reg Lsb = 15;
							constexpr Reg FieldMask = 0x00008000;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00008000;
							};
						};
					namespace rODR { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	low = 0x00000000;
						constexpr Reg	high = 0x00000001;
						namespace fOD0 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x00000001;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000001;
							};
						namespace fOD1 { // Field Description
							constexpr Reg Lsb = 1;
							constexpr Reg FieldMask = 0x00000002;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000002;
							};
						namespace fOD2 { // Field Description
							constexpr Reg Lsb = 2;
							constexpr Reg FieldMask = 0x00000004;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000004;
							};
						namespace fOD3 { // Field Description
							constexpr Reg Lsb = 3;
							constexpr Reg FieldMask = 0x00000008;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000008;
							};
						namespace fOD4 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x00000010;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000010;
							};
						namespace fOD5 { // Field Description
							constexpr Reg Lsb = 5;
							constexpr Reg FieldMask = 0x00000020;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000020;
							};
						namespace fOD6 { // Field Description
							constexpr Reg Lsb = 6;
							constexpr Reg FieldMask = 0x00000040;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000040;
							};
						namespace fOD7 { // Field Description
							constexpr Reg Lsb = 7;
							constexpr Reg FieldMask = 0x00000080;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000080;
							};
						namespace fOD8 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000100;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000100;
							};
						namespace fOD9 { // Field Description
							constexpr Reg Lsb = 9;
							constexpr Reg FieldMask = 0x00000200;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000200;
							};
						namespace fOD10 { // Field Description
							constexpr Reg Lsb = 10;
							constexpr Reg FieldMask = 0x00000400;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000400;
							};
						namespace fOD11 { // Field Description
							constexpr Reg Lsb = 11;
							constexpr Reg FieldMask = 0x00000800;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00000800;
							};
						namespace fOD12 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x00001000;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00001000;
							};
						namespace fOD13 { // Field Description
							constexpr Reg Lsb = 13;
							constexpr Reg FieldMask = 0x00002000;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00002000;
							};
						namespace fOD14 { // Field Description
							constexpr Reg Lsb = 14;
							constexpr Reg FieldMask = 0x00004000;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00004000;
							};
						namespace fOD15 { // Field Description
							constexpr Reg Lsb = 15;
							constexpr Reg FieldMask = 0x00008000;
							constexpr Reg Value_low = 0x0;
							constexpr Reg ValueMask_low = 0x00000000;
							constexpr Reg Value_high = 0x1;
							constexpr Reg ValueMask_high = 0x00008000;
							};
						};
					namespace rBSRR { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	valueAtReset = 0x00000000;
						constexpr Reg	noAction = 0x00000000;
						constexpr Reg	set = 0x00000001;
						namespace fBS0 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x00000001;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000001;
							};
						namespace fBS1 { // Field Description
							constexpr Reg Lsb = 1;
							constexpr Reg FieldMask = 0x00000002;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000002;
							};
						namespace fBS2 { // Field Description
							constexpr Reg Lsb = 2;
							constexpr Reg FieldMask = 0x00000004;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000004;
							};
						namespace fBS3 { // Field Description
							constexpr Reg Lsb = 3;
							constexpr Reg FieldMask = 0x00000008;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000008;
							};
						namespace fBS4 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x00000010;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000010;
							};
						namespace fBS5 { // Field Description
							constexpr Reg Lsb = 5;
							constexpr Reg FieldMask = 0x00000020;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000020;
							};
						namespace fBS6 { // Field Description
							constexpr Reg Lsb = 6;
							constexpr Reg FieldMask = 0x00000040;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000040;
							};
						namespace fBS7 { // Field Description
							constexpr Reg Lsb = 7;
							constexpr Reg FieldMask = 0x00000080;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000080;
							};
						namespace fBS8 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000100;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000100;
							};
						namespace fBS9 { // Field Description
							constexpr Reg Lsb = 9;
							constexpr Reg FieldMask = 0x00000200;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000200;
							};
						namespace fBS10 { // Field Description
							constexpr Reg Lsb = 10;
							constexpr Reg FieldMask = 0x00000400;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000400;
							};
						namespace fBS11 { // Field Description
							constexpr Reg Lsb = 11;
							constexpr Reg FieldMask = 0x00000800;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00000800;
							};
						namespace fBS12 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x00001000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00001000;
							};
						namespace fBS13 { // Field Description
							constexpr Reg Lsb = 13;
							constexpr Reg FieldMask = 0x00002000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00002000;
							};
						namespace fBS14 { // Field Description
							constexpr Reg Lsb = 14;
							constexpr Reg FieldMask = 0x00004000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00004000;
							};
						namespace fBS15 { // Field Description
							constexpr Reg Lsb = 15;
							constexpr Reg FieldMask = 0x00008000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setHIGH = 0x1;
							constexpr Reg ValueMask_setHIGH = 0x00008000;
							};
						namespace fBR0 { // Field Description
							constexpr Reg Lsb = 16;
							constexpr Reg FieldMask = 0x00010000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x00010000;
							};
						namespace fBR1 { // Field Description
							constexpr Reg Lsb = 17;
							constexpr Reg FieldMask = 0x00020000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x00020000;
							};
						namespace fBR2 { // Field Description
							constexpr Reg Lsb = 18;
							constexpr Reg FieldMask = 0x00040000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x00040000;
							};
						namespace fBR3 { // Field Description
							constexpr Reg Lsb = 19;
							constexpr Reg FieldMask = 0x00080000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x00080000;
							};
						namespace fBR4 { // Field Description
							constexpr Reg Lsb = 20;
							constexpr Reg FieldMask = 0x00100000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x00100000;
							};
						namespace fBR5 { // Field Description
							constexpr Reg Lsb = 21;
							constexpr Reg FieldMask = 0x00200000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x00200000;
							};
						namespace fBR6 { // Field Description
							constexpr Reg Lsb = 22;
							constexpr Reg FieldMask = 0x00400000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x00400000;
							};
						namespace fBR7 { // Field Description
							constexpr Reg Lsb = 23;
							constexpr Reg FieldMask = 0x00800000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x00800000;
							};
						namespace fBR8 { // Field Description
							constexpr Reg Lsb = 24;
							constexpr Reg FieldMask = 0x01000000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x01000000;
							};
						namespace fBR9 { // Field Description
							constexpr Reg Lsb = 25;
							constexpr Reg FieldMask = 0x02000000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x02000000;
							};
						namespace fBR10 { // Field Description
							constexpr Reg Lsb = 26;
							constexpr Reg FieldMask = 0x04000000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x04000000;
							};
						namespace fBR11 { // Field Description
							constexpr Reg Lsb = 27;
							constexpr Reg FieldMask = 0x08000000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x08000000;
							};
						namespace fBR12 { // Field Description
							constexpr Reg Lsb = 28;
							constexpr Reg FieldMask = 0x10000000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x10000000;
							};
						namespace fBR13 { // Field Description
							constexpr Reg Lsb = 29;
							constexpr Reg FieldMask = 0x20000000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x20000000;
							};
						namespace fBR14 { // Field Description
							constexpr Reg Lsb = 30;
							constexpr Reg FieldMask = 0x40000000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x40000000;
							};
						namespace fBR15 { // Field Description
							constexpr Reg Lsb = 31;
							constexpr Reg FieldMask = 0x80000000;
							constexpr Reg Value_noAction = 0x0;
							constexpr Reg ValueMask_noAction = 0x00000000;
							constexpr Reg Value_setLOW = 0x1;
							constexpr Reg ValueMask_setLOW = 0x80000000;
							};
						};
					namespace rLCKR { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	valueAtReset = 0x00000000;
						constexpr Reg	unlock = 0x00000000;
						constexpr Reg	unlocked = 0x00000000;
						constexpr Reg	lock = 0x00000001;
						constexpr Reg	locked = 0x00000001;
						namespace fLCK0 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x00000001;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000001;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000001;
							};
						namespace fLCK1 { // Field Description
							constexpr Reg Lsb = 1;
							constexpr Reg FieldMask = 0x00000002;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000002;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000002;
							};
						namespace fLCK2 { // Field Description
							constexpr Reg Lsb = 2;
							constexpr Reg FieldMask = 0x00000004;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000004;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000004;
							};
						namespace fLCK3 { // Field Description
							constexpr Reg Lsb = 3;
							constexpr Reg FieldMask = 0x00000008;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000008;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000008;
							};
						namespace fLCK4 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x00000010;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000010;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000010;
							};
						namespace fLCK5 { // Field Description
							constexpr Reg Lsb = 5;
							constexpr Reg FieldMask = 0x00000020;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000020;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000020;
							};
						namespace fLCK6 { // Field Description
							constexpr Reg Lsb = 6;
							constexpr Reg FieldMask = 0x00000040;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000040;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000040;
							};
						namespace fLCK7 { // Field Description
							constexpr Reg Lsb = 7;
							constexpr Reg FieldMask = 0x00000080;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000080;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000080;
							};
						namespace fLCK8 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000100;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000100;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000100;
							};
						namespace fLCK9 { // Field Description
							constexpr Reg Lsb = 9;
							constexpr Reg FieldMask = 0x00000200;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000200;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000200;
							};
						namespace fLCK10 { // Field Description
							constexpr Reg Lsb = 10;
							constexpr Reg FieldMask = 0x00000400;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000400;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000400;
							};
						namespace fLCK11 { // Field Description
							constexpr Reg Lsb = 11;
							constexpr Reg FieldMask = 0x00000800;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00000800;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00000800;
							};
						namespace fLCK12 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x00001000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00001000;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00001000;
							};
						namespace fLCK13 { // Field Description
							constexpr Reg Lsb = 13;
							constexpr Reg FieldMask = 0x00002000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00002000;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00002000;
							};
						namespace fLCK14 { // Field Description
							constexpr Reg Lsb = 14;
							constexpr Reg FieldMask = 0x00004000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00004000;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00004000;
							};
						namespace fLCK15 { // Field Description
							constexpr Reg Lsb = 15;
							constexpr Reg FieldMask = 0x00008000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_unlocked = 0x0;
							constexpr Reg ValueMask_unlocked = 0x00000000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00008000;
							constexpr Reg Value_locked = 0x1;
							constexpr Reg ValueMask_locked = 0x00008000;
							};
						namespace fLCKK { // Field Description
							constexpr Reg Lsb = 16;
							constexpr Reg FieldMask = 0x00010000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_lockNotActive = 0x0;
							constexpr Reg ValueMask_lockNotActive = 0x00000000;
							constexpr Reg Value_unlock = 0x0;
							constexpr Reg ValueMask_unlock = 0x00000000;
							constexpr Reg Value_lockActive = 0x1;
							constexpr Reg ValueMask_lockActive = 0x00010000;
							constexpr Reg Value_lock = 0x1;
							constexpr Reg ValueMask_lock = 0x00010000;
							};
						};
					namespace rAFRL { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	valueAtReset = 0x00000000;
						constexpr Reg	vAF0 = 0x00000000;
						constexpr Reg	vAF1 = 0x00000001;
						constexpr Reg	vAF2 = 0x00000002;
						constexpr Reg	vAF3 = 0x00000003;
						constexpr Reg	vAF4 = 0x00000004;
						constexpr Reg	vAF5 = 0x00000005;
						constexpr Reg	vAF6 = 0x00000006;
						constexpr Reg	vAF7 = 0x00000007;
						constexpr Reg	vAF8 = 0x00000008;
						constexpr Reg	vAF9 = 0x00000009;
						constexpr Reg	vAF10 = 0x0000000A;
						constexpr Reg	vAF11 = 0x0000000B;
						constexpr Reg	vAF12 = 0x0000000C;
						constexpr Reg	vAF13 = 0x0000000D;
						constexpr Reg	vAF14 = 0x0000000E;
						constexpr Reg	vAF15 = 0x0000000F;
						constexpr Reg	minValue = 0x00000000;
						constexpr Reg	maxValue = 0x0000000F;
						namespace fAFSEL0 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x0000000F;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00000001;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00000002;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00000003;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00000004;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00000005;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00000006;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00000007;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00000008;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00000009;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x0000000A;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x0000000B;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x0000000C;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x0000000D;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x0000000E;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x0000000F;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x0000000F;
							};
						namespace fAFSEL1 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x000000F0;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00000010;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00000020;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00000030;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00000040;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00000050;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00000060;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00000070;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00000080;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00000090;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x000000A0;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x000000B0;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x000000C0;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x000000D0;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x000000E0;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x000000F0;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x000000F0;
							};
						namespace fAFSEL2 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000F00;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00000100;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00000200;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00000300;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00000400;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00000500;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00000600;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00000700;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00000800;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00000900;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x00000A00;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x00000B00;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x00000C00;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x00000D00;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x00000E00;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x00000F00;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x00000F00;
							};
						namespace fAFSEL3 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x0000F000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00001000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00002000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00003000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00004000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00005000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00006000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00007000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00008000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00009000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x0000A000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x0000B000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x0000C000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x0000D000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x0000E000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x0000F000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x0000F000;
							};
						namespace fAFSEL4 { // Field Description
							constexpr Reg Lsb = 16;
							constexpr Reg FieldMask = 0x000F0000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00010000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00020000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00030000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00040000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00050000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00060000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00070000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00080000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00090000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x000A0000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x000B0000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x000C0000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x000D0000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x000E0000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x000F0000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x000F0000;
							};
						namespace fAFSEL5 { // Field Description
							constexpr Reg Lsb = 20;
							constexpr Reg FieldMask = 0x00F00000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00100000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00200000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00300000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00400000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00500000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00600000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00700000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00800000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00900000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x00A00000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x00B00000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x00C00000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x00D00000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x00E00000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x00F00000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x00F00000;
							};
						namespace fAFSEL6 { // Field Description
							constexpr Reg Lsb = 24;
							constexpr Reg FieldMask = 0x0F000000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x01000000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x02000000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x03000000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x04000000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x05000000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x06000000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x07000000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x08000000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x09000000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x0A000000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x0B000000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x0C000000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x0D000000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x0E000000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x0F000000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x0F000000;
							};
						namespace fAFSEL7 { // Field Description
							constexpr Reg Lsb = 28;
							constexpr Reg FieldMask = 0xF0000000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x10000000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x20000000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x30000000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x40000000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x50000000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x60000000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x70000000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x80000000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x90000000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0xA0000000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0xB0000000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0xC0000000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0xD0000000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0xE0000000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0xF0000000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0xF0000000;
							};
						};
					namespace rAFRH { // Register description
						typedef uint32_t	Reg;
						constexpr Reg	valueAtReset = 0x00000000;
						constexpr Reg	vAF0 = 0x00000000;
						constexpr Reg	vAF1 = 0x00000001;
						constexpr Reg	vAF2 = 0x00000002;
						constexpr Reg	vAF3 = 0x00000003;
						constexpr Reg	vAF4 = 0x00000004;
						constexpr Reg	vAF5 = 0x00000005;
						constexpr Reg	vAF6 = 0x00000006;
						constexpr Reg	vAF7 = 0x00000007;
						constexpr Reg	vAF8 = 0x00000008;
						constexpr Reg	vAF9 = 0x00000009;
						constexpr Reg	vAF10 = 0x0000000A;
						constexpr Reg	vAF11 = 0x0000000B;
						constexpr Reg	vAF12 = 0x0000000C;
						constexpr Reg	vAF13 = 0x0000000D;
						constexpr Reg	vAF14 = 0x0000000E;
						constexpr Reg	vAF15 = 0x0000000F;
						constexpr Reg	minValue = 0x00000000;
						constexpr Reg	maxValue = 0x0000000F;
						namespace fAFSEL8 { // Field Description
							constexpr Reg Lsb = 0;
							constexpr Reg FieldMask = 0x0000000F;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00000001;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00000002;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00000003;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00000004;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00000005;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00000006;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00000007;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00000008;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00000009;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x0000000A;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x0000000B;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x0000000C;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x0000000D;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x0000000E;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x0000000F;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x0000000F;
							};
						namespace fAFSEL9 { // Field Description
							constexpr Reg Lsb = 4;
							constexpr Reg FieldMask = 0x000000F0;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00000010;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00000020;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00000030;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00000040;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00000050;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00000060;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00000070;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00000080;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00000090;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x000000A0;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x000000B0;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x000000C0;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x000000D0;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x000000E0;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x000000F0;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x000000F0;
							};
						namespace fAFSEL10 { // Field Description
							constexpr Reg Lsb = 8;
							constexpr Reg FieldMask = 0x00000F00;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00000100;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00000200;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00000300;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00000400;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00000500;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00000600;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00000700;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00000800;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00000900;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x00000A00;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x00000B00;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x00000C00;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x00000D00;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x00000E00;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x00000F00;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x00000F00;
							};
						namespace fAFSEL11 { // Field Description
							constexpr Reg Lsb = 12;
							constexpr Reg FieldMask = 0x0000F000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00001000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00002000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00003000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00004000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00005000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00006000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00007000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00008000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00009000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x0000A000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x0000B000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x0000C000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x0000D000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x0000E000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x0000F000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x0000F000;
							};
						namespace fAFSEL12 { // Field Description
							constexpr Reg Lsb = 16;
							constexpr Reg FieldMask = 0x000F0000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00010000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00020000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00030000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00040000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00050000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00060000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00070000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00080000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00090000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x000A0000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x000B0000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x000C0000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x000D0000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x000E0000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x000F0000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x000F0000;
							};
						namespace fAFSEL13 { // Field Description
							constexpr Reg Lsb = 20;
							constexpr Reg FieldMask = 0x00F00000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x00100000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x00200000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x00300000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x00400000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x00500000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x00600000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x00700000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x00800000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x00900000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x00A00000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x00B00000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x00C00000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x00D00000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x00E00000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x00F00000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x00F00000;
							};
						namespace fAFSEL14 { // Field Description
							constexpr Reg Lsb = 24;
							constexpr Reg FieldMask = 0x0F000000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x01000000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x02000000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x03000000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x04000000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x05000000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x06000000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x07000000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x08000000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x09000000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0x0A000000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0x0B000000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0x0C000000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0x0D000000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0x0E000000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0x0F000000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0x0F000000;
							};
						namespace fAFSEL15 { // Field Description
							constexpr Reg Lsb = 28;
							constexpr Reg FieldMask = 0xF0000000;
							constexpr Reg Value_valueAtReset = 0x0;
							constexpr Reg ValueMask_valueAtReset = 0x00000000;
							constexpr Reg Value_vAF0 = 0x0;
							constexpr Reg ValueMask_vAF0 = 0x00000000;
							constexpr Reg Value_vAF1 = 0x1;
							constexpr Reg ValueMask_vAF1 = 0x10000000;
							constexpr Reg Value_vAF2 = 0x2;
							constexpr Reg ValueMask_vAF2 = 0x20000000;
							constexpr Reg Value_vAF3 = 0x3;
							constexpr Reg ValueMask_vAF3 = 0x30000000;
							constexpr Reg Value_vAF4 = 0x4;
							constexpr Reg ValueMask_vAF4 = 0x40000000;
							constexpr Reg Value_vAF5 = 0x5;
							constexpr Reg ValueMask_vAF5 = 0x50000000;
							constexpr Reg Value_vAF6 = 0x6;
							constexpr Reg ValueMask_vAF6 = 0x60000000;
							constexpr Reg Value_vAF7 = 0x7;
							constexpr Reg ValueMask_vAF7 = 0x70000000;
							constexpr Reg Value_vAF8 = 0x8;
							constexpr Reg ValueMask_vAF8 = 0x80000000;
							constexpr Reg Value_vAF9 = 0x9;
							constexpr Reg ValueMask_vAF9 = 0x90000000;
							constexpr Reg Value_vAF10 = 0xA;
							constexpr Reg ValueMask_vAF10 = 0xA0000000;
							constexpr Reg Value_vAF11 = 0xB;
							constexpr Reg ValueMask_vAF11 = 0xB0000000;
							constexpr Reg Value_vAF12 = 0xC;
							constexpr Reg ValueMask_vAF12 = 0xC0000000;
							constexpr Reg Value_vAF13 = 0xD;
							constexpr Reg ValueMask_vAF13 = 0xD0000000;
							constexpr Reg Value_vAF14 = 0xE;
							constexpr Reg ValueMask_vAF14 = 0xE0000000;
							constexpr Reg Value_vAF15 = 0xF;
							constexpr Reg ValueMask_vAF15 = 0xF0000000;
							constexpr Reg Value_minValue = 0x0;
							constexpr Reg ValueMask_minValue = 0x00000000;
							constexpr Reg Value_maxValue = 0xF;
							constexpr Reg ValueMask_maxValue = 0xF0000000;
							};
						};
					}
				}
			}
		}
	}
#endif
